DEROFF(1)

NAME
deroff - remove nroff/troff, tbl, and eqn constructs

SYNOPSIS
deroff [-mx] [-w] [ files ]

DESCRIPTION
Deroff reads each file in sequence and removes all nroff and troff(1) requests and non-text arguments, backslash constructions, and constructs of preprocessors such as eqn(1), pic(1), and tbl(1). Remaining text is written on the standard output. Deroff follows files included by .so and .nx commands; if a file has already been included, a .so for that file is ignored and a .nx terminates execution. If no input file is given, deroff reads from standard input.

The options are

-w  Output a word list, one `word' (string of letters, digits, and properly embedded ampersands and apostrophes, beginning with a letter) per line. Other characters are skipped. Otherwise, the output follows the original, with the deletions mentioned above.

-i  Ignore .so and .nx equests.

-ms
-mm Remove titles, attachments, etc., as well as ordinary troff constructs, from ms(7) or mm(7) documents.

-ml Same as -mm, but remove lists as well.

SEE ALSO
troff(1), spell(1)

NOTES
Deroff is not a complete troff interpreter, so it can be confused by subtle constructs. Most errors result in too much rather than too little output.